Bug 89152 - brp-compress needs user interaction
brp-compress needs user interaction
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2003-04-18 10:43 EDT by Han-Wen Nienhuys
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-21 12:04:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2003-04-18 10:43:03 EDT
Description of problem:

brp-compress runs gunzip without -f ; in some cases, this causes rpmbuild to hang,
waiting for the user eg.

gunzip: ./usr/share/info/R-intro.info already exists; do you wish to overwrite
(y or n)? y

Version-Release number of selected component (if applicable):

Comment 1 Jeff Johnson 2003-04-21 12:04:40 EDT
Yup, but there's no easy and reliable fix here except
to remove precompressed manpages in the %install scriptlet,
there's too many versions of brp-compress already released.
Comment 2 Han-Wen Nienhuys 2003-04-21 16:12:01 EDT
I'm not suggesting that there is a real fix, but I merely that it should fail 
with some error message, in stead of user interaction -- if user interaction is
acceptable, then -f is, too, and for a batch program like rpmbuild, -f is more
appropriate than a prompt. 

Note You need to log in before you can comment on or make changes to this bug.